/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 5 apr 2024, 14:20:04
    Author     : mattaliano
*/

@font-face {
    font-family: 'Titillium Web';
    src: url('../fonts/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.ttf') format('truetype');
    font-weight: normal;
    font-style: 100;
}


@font-face {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/Titillium_Web/titillium-web-v10-latin-ext_latin-300.ttf') format('truetype');
}

@font-face {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/Titillium_Web/titillium-web-v10-latin-ext_latin-700.ttf') format('truetype');
}



:root {
    --shadow: #0d013b19;
}

body{
    background-color: #fafbfd;
    font-size: 18px;
}

/* bordo colore testo pulsante user in alto a destra */
nav > a.btn-outline-primary {
    box-shadow: none !important;
}

/* colore background immagini header*/
.it-header-center-wrapper {
    background: white !important;
}

/* colore testo pulsante user in alto a destra */
.it-header-slim-wrapper .it-header-slim-wrapper-content a {
    color: var(--bs-primary)!important;
    text-decoration: none !important; 
}
/* mette accanto i pulsanti inserisci/modifica destinazione */
.streppers-custom-left{
    width: auto !important;
}

.card:after {
    content: none !important;
    display: block !important;
    margin-top: 48px !important;
    margin-left: 24px !important;
}


/* bordo con sfumatura */
.it-content__wrapper {
    border-radius: 20px !important;
    box-shadow: 0 0 20px var(--shadow) !important;
    padding: 26px !important;
    background-color: #fff !important;
    margin-bottom: 1em;

}

h1, h2, h3, .h1, .h2, .h3 {
    color: #0066cc !important;
    font-weight:normal !important;
}
.hide {
    display: none !important;
    position: absolute;
}
/* evito che label si sposti dentro la input */
label{
    transform: translateY(-75%) !important;
    font-weight: 600 !important;
    font-size: large !important;
    color: #1a1a1ac7 !important;
}
select{
    color: #5d7083 !important;
    font-weight: unset !important;
}
.form-control:focus{
    color: #1a1a1a !important; 
}

.margin-0{
    margin: 0px;
}

.margin-top-10{
    margin-top: 10px;
}
.margin-top-20{
    margin-top: 20px;
}
.margin-top-30{
    margin-top: 30px;
}

.margin-bottom-10{
    margin-bottom: 10px;
}
.margin-bottom-20{
    margin-bottom: 20px;
}
.margin-bottom-30{
    margin-bottom: 30px;
}

.margin-left-10{
    margin-left: 10px;
}
.margin-right-10{
    margin-right: 10px;
}


.margin-top-10{
    margin-top: 10px;
}

.margin--top-3{
    margin-top: -3rem;
}
.marginbottom-3{
    margin-bottom: 3rem;
}

.captcha__image-wrapper{
    padding-bottom: 20px;
}

.it-info-circle-alert-red, .it-info-circle-alert-red{
    fill: #fd0017;
    margin-right: 16px;
}
#alert-red{
    color: red !important;
}

.error{
    border-bottom-color: red !important;
}

/* padding utilizzato nelle select in modifica i tuoi dati */
.select-wrapper{
    padding-bottom: 3rem !important;
}

.arrow {
    border: solid #06c;
    border-width: 0 5px 5px 0;
    display: inline-block;
    padding: 3px;
}

.right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
}

.left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}

.up {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}

.down {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}


/* fix fad non funzionante */
.modal.fade {
    -webkit-transition: opacity .3s linear, top .3s ease-out;
    -moz-transition: opacity .3s linear, top .3s ease-out;
    -ms-transition: opacity .3s linear, top .3s ease-out;
    -o-transition: opacity .3s linear, top .3s ease-out;
    transition: opacity .3s linear, top .3s ease-out;
}

.modal-backdrop{
    display: none;
}
.hidden{
    display: none;
}

/* Stile per il contenitore dei risultati personalizzato */
/* Stile di base per la modale */
.modal {
    display: none; /* Nascondi di default */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: white;
    /*margin: 15% auto;*/
    padding: 20px;
    border: 1px solid #888;
    /*width: 80%;*/
    position: relative;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    cursor: pointer;
}

.result-item:hover,
.result-item:focus {
    /* background-color: #b3d9ff;*/
}

.active{
    /* background-color: #b3d9ff; */
}
/* Stile per il contenitore dei risultati personalizzato */
#autocomplete-results {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: white;
    border: 0px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    z-index: 1000; /* Assicurati che sia sopra ad altri contenuti */
}

.italia-it-button-icon {
    margin: 0 .4em 0 0;
    /*padding: .6em .8em .5em;*/
    padding-right: .8em;
    border-right: rgba(255, 255, 255, .1) .1em solid;

}

.italia-it-button-icon + span{
    font-size: 1em;
}
/*
.btn-outline-primary {
    box-shadow: inset 0 0 0 2px #06c !important;
}
.btn-sx {
    display: block !important;
}*/

@media (min-width: 576px){
    h1, .h1 {
        margin-top: 1rem !important;
        margin-bottom: 2.5rem !important;
    }
}

.streppers-custom-right > button.btn-danger,.streppers-custom-right > button.btn-primary{
        margin-right: calc(var(--bs-gutter-x)* .8) !important;
    }
@media (min-width: 992px) {
    .select-wrapper select {
       margin-top: 0.4rem !important;
    }    
   .steppers > .steppers-index {
        display: none !important;
    }
    /* pulsante in alto a destra user*/
    .it-header-slim-wrapper .it-header-slim-wrapper-content a.dropdown-toggle {
        padding-top: 2rem !important;
        padding-bottom: 0.3rem !important;
        text-decoration: none !important;
        margin-right: -4rem !important;
        transition: all 0.3s ease-in !important;
    }
    /* immagini header */
    .it-header-center-wrapper {
        height: 130px !important;
        /* padding-left: 0; */
        padding-right: 0 !important;
        padding-top: 0px !important; 
        transition: all 0.3s ease-in !important;
    }
}
@media (max-width: 991px){
    /* bordo fixedtop*/
    .it-header-center-wrapper{
        border-bottom: 2px solid #0f67ca;
        height: 120px !important;
    }
    .navbar {
        background: #fff;
    }
    
    /* pulsante in alto a destra user*/
    .it-header-slim-wrapper .it-header-slim-wrapper-content a.dropdown-toggle {
        padding-top: 0.3rem !important;
        padding-bottom: 0.3rem !important;
        text-decoration: none !important;
        margin-right: 1.3rem;
        transition: all 0.3s ease-in !important;
    }
    
    /* loghi posizioni */
    .dsnm{
        margin-top: -1rem;
        margin-left: 0.9rem;
        transition: all 0.3s ease-in !important;
    }
    
    .maeci{
        width: 80%;
        margin-left: 2rem;
        transition: all 0.3s ease-in !important;
    }
    .udc{
        width: 42%;
        margin-right: 3rem;
        transition: all 0.3s ease-in !important;
    }
     /* fine loghi posizioni */    
    
    .steppers-index .step.active {
        border-color: #0066CC !important;
        background-color: #0066CC !important;
        color: white !important;
    }
    
    .steppers-index .steppers-number{
        display: block !important;
        width: 1.778rem !important;
        height: 1.778rem !important;
        border: 1px solid hsl(210, 4%, 78%) !important;
        border-radius: 50% !important;
        text-align: center !important;
        text-decoration: none !important;
        /*margin-right: .667rem !important;*/
        flex-shrink: 0 !important;
        font-size: 1.125rem;
        color: hsl(210, 17%, 44%);

    } 
    
    .streppers-custom-left > button{
        width: 100% !important;
        margin-right: 0rem !important;
        margin-top: 0.5rem !important;
        
    }
    .streppers-custom-left{
        width: 100% !important;
       
    }
    .streppers-custom-right{
        width: 100% !important;
       
    }
    .streppers-custom-right > button.btn-danger,.streppers-custom-right > button.btn-primary{
        width: 47% !important;
        margin-right: 0 !important;
        /*float: right !important;*/
        margin-top: 0.5rem !important;
    }
    .streppers-custom-right > button.btn-primary{
        float: inline-end;
    }
    .steppers {
        box-shadow: none !important;
    }
    .btn-primary {
        color: #fff !important;
        background-color: #0066CC !important; /* Blu primario */
        border: 1px solid #0066CC !important; 
        transition: all 0.3s ease-in-out !important; 
    }
    
    .btn-primary:hover,
    .btn-primary:focus,
    .btn-primary:active {
        background-color: #0056B3 !important;  /* Blu più scuro in hover */
        border-color: #0056B3 !important; 
    }

    .btn-primary:disabled {
        color: #fff !important; 
        background-color: #0066CC !important; 
        border-color: #0066CC !important; 
        cursor: not-allowed !important; 
    }

    .btn-outline-primary {
        color: #0066CC !important  /* Colore primario di Bootstrap Italia */
        border: 2px solid #0066CC !important;
        background-color: transparent !important;
        transition: all 0.3s ease-in-out !important;
        display: list-item;   
    }

    .btn-outline-primary:hover,
    .btn-outline-primary:focus,
    .btn-outline-primary:active {
       /* color: #FFFFFF !important;*/
        /*background-color: #0066CC !important;*/
        border-color: #0056b3 !important; /* Leggermente più scuro in hover */
    }

    .btn-outline-primary:disabled {
        color: #A6A6A6 !important;
        border-color: #A6A6A6 !important;
        background-color: transparent !important;
        cursor: not-allowed !important;
    }
    .btn-danger {
        color: #fff !important;
        background-color: #D32F2F !important; /* Rosso */
        border: 1px solid #D32F2F !important;
        transition: all 0.3s ease-in-out !important;
    }

    .btn-danger:hover,
    .btn-danger:focus,
    .btn-danger:active {
        background-color: #B71C1C !important; /* Colore rosso più scuro per hover */
        border-color: #B71C1C !important;
    }

    .btn-danger:disabled {
        color: #fff !important;
        background-color: rgb(204, 51, 76.5) !important;
        border-color: rgb(204, 51, 76.5) !important;
        pointer-events: none !important;
    }

    /*.btn-xs {
       /* padding: 0.25rem 0.5rem !important; */
        /*font-size: 0.75rem !important;
        line-height: 1.2 !important; 
        border-radius: 0.2rem !important; 
    }*/
}

/*
.steppers-nav-col-sx > .sx-sx{
        margin-right: .25rem !important;
    }
    .steppers-nav-col-sx > .sx-dx{
        margin-left: .25rem !important;
    }
     .steppers-nav-col-dx > .col-6 >.dx-sx{
        margin-right: .25rem !important;
    }
    .steppers-nav-col-dx > .col-6 >.dx-dx{
        margin-left: .25rem !important;
    }*/
.icon.icon-white{
      width: 32px;  /* Aumenta la dimensione */
      height: 32px; /* Assicurati che sia proporzionato */
}
/* Schermi piccoli (max 576px - sm) */
@media (max-width: 768px) {
    /* it-burger icona */ 
    .icon.icon-white{
      width: 32px;  /* Aumenta la dimensione */
      height: 32px; /* Assicurati che sia proporzionato */
    }
    .btn-small-screen {
      padding: 0.75rem 0.5rem !important; /* Riduce il padding */
      font-size: 1rem !important; /* Testo più piccolo */
      border-radius: 0.2rem !important; /* Angoli più compatti */
    }
    .modal-dialog-left {
      max-width: 90% !important;
      margin: 0 !important;
      position: fixed !important;
      left: 0 !important;
      top: 0 !important;
      height: 100% !important;
      transition: all 0.3s ease-in !important;
    }
    /* menu profilo utente */
    .it-header-slim-wrapper .it-header-slim-wrapper-content .dropdown-menu {
      top: -6px !important;
    }
}

/* Quando la risoluzione è maggiore o uguale a md (768px), la modale diventa "large" */
@media (min-width: 769px) {
  .modal-dialog {
    max-width: 800px !important; 
    margin: 1.75rem auto !important; 
    position: relative !important;
    left: auto !important;
    top: auto !important;
    height: 100% !important;
    transform: none !important;
  }
}
/* Schermi piccoli (min 576px - sm) */
@media (min-width: 576px) {
    .col-sm-6 > .col-6{
        width: auto !important;
    }
}

@media (max-width: 425px) {
    /* it-burger icona */ 
    .icon.icon-white{
      width: 32px;  /* Aumenta la dimensione */
      height: 32px; /* Assicurati che sia proporzionato */
    }
    h1{
        text-align: center;
    }
    /* utente loggato */
    .it-header-slim-wrapper .it-header-slim-wrapper-content a.dropdown-toggle {
        margin-right: 14rem;
    }
    .rounded-icon > .icon-primary{
        fill: #06c ;
    }
    .icon-expand {
        fill: #fff !important;
    }
    .d-sx-block{
        display: block !important;
        color: #fff;
    }
    .udc {
        margin-right: 1.2rem;
     }    
    .it-header-center-wrapper {
        height: 90px !important;
    }
    /*li> .steppers-number {
        display: none !important;
    }*/
    .btn-sm, .btn-group-sm > .btn {
        font-size: 0.8rem !important;
        line-height: 0.6rem !important;
        margin-bottom: 10px;
    }
     /* loghi posizioni */
    .dsnm{
        margin-top: 0rem !important;
        transition: all 0.3s ease-in !important;
        width: 11rem;

    }
    
    /* barra top user */
    .it-header-slim-wrapper{
        background-color: var(--bs-primary) !important;
        transition: all 0.3s ease-in !important;
        padding: 0px !important;
        color: white !important;
    }
    /* pulsante in alto a destra user*/
    .it-header-slim-wrapper .it-header-slim-wrapper-content {
        text-decoration: none !important;
        transition: all 0.3sease-in !important;
        color: white !important;
    }
    /* padding content */
    .it-content__wrapper {
        padding: 10px !important;
    }
}    
@media (max-width: 375px) {
    /* utente loggato */
    .it-header-slim-wrapper .it-header-slim-wrapper-content a.dropdown-toggle {
        margin-right: 9rem;
    }
    .it-header-center-wrapper {
        height: 60px !important;
    }
}  
/* per device molto piccoli */ 
@media (max-width: 320px) {

    /* utente loggato */
    .it-header-slim-wrapper .it-header-slim-wrapper-content a.dropdown-toggle {
        margin-right: 7rem;
    }
    .alert {    
        padding: 0px !important;
        padding-left: 0.4rem !important;
    }
    .alert-warning {
        background-image: none !important;
    }
    .alert-success {
        background-image: none;
    }
    .alert-danger {
        background-image: none !important;
    }
    .alert-info {
        background-image: none !important;
    }
    .modal.it-dialog-scrollable .modal-dialog .modal-content {
        padding: 0px;
    }
    .modal.it-dialog-scrollable .modal-dialog .modal-content .modal-body {
        padding: 3px !important;
        padding-top: 30px !important;
    }
    
    
    /*.modal.it-dialog-scrollable .modal-dialog .modal-content {
        padding: 0px;
        margin-left: -39px;
        width: 304px;
    
    } */   
    
}

.icon.icon-white > use {
  stroke: #0f67ca;
  stroke-width: 3;
  fill: none;
  stroke-linecap: round;  /* Arrotonda le estremità delle linee */
  stroke-linejoin: round; /* Arrotonda gli angoli */
}

/* link dentro menu profilo */
.dropdown-menu.dark .link-list-wrapper ul li a span, .dropdown-menu.dark .link-list-wrapper ul li a:hover span, .dropdown-menu.dark .link-list-wrapper ul li h3, .dropdown-menu.dark .link-list-wrapper ul li .h3, .dropdown-menu.dark .link-list-wrapper ul li i {
    color: #0f67ca;
    color: white;
}
.dropdown-menu.dark .link-list-wrapper ul li a.active span {
    color: white;
}
.dropdown-menu.dark:before {
    /*background-color: hsl(228deg 26.32% 96.27%);*/
    background-color:#06c;
}
/* fine */
.dropdown-menu.dark {
    /*background-color: hsl(228deg 26.32% 96.27%);*/
    background-color:#06c;
    box-shadow:0px 3px 15px 0px rgba(0, 0, 0, .1);
}

/* link social footer*/
.se-link{
    display: flex !important;
}

fieldset legend  {
    margin-bottom: 1rem !important;
}